return {
    "catppuccin/nvim",
    name = "catppuccin",
    priority = 1000,
    config = function()
        require("catppuccin").setup({
            color_overrides = {
                mocha = {
                    rosewater = "#B294BB",
                    flamingo = "#B294BB",
                    pink = "#B294BB",
                    mauve = "#B294BB",
                    lavender = "#B294BB",
                    red = "#CC6666",
                    maroon = "#CC6666",
                    peach = "#de935f",
                    yellow = "#F0C674",
                    green = "#B5BD68",
                    teal = "#8ABEB7",
                    sky = "#8ABEB7",
                    sapphire = "#8ABEB7",
                    blue = "#81A2BE",
                    text = "#CCCCCC",
                    subtext1 = "#AAAAAA",
                    subtext0 = "#939393",
                    overlay2 = "#888888",
                    overlay1 = "#888888",
                    overlay0 = "#707880",
                    surface2 = "#525252",
                    surface1 = "#333333",
                    surface0 = "#242424",
                    base = "#121212",
                    mantle = "#1F1F1F",
                    crust = "#0E0E0E",
                },
            },
            highlight_overrides = {
                mocha = function(mocha)
                    return {
                        Whitespace = { fg = mocha.surface2 },
                        Comment = { fg = mocha.overlay2 },
                        CursorLineNr = { fg = mocha.pink },
                        Number = { fg = mocha.red },
                        -- ["@variable"] = { fg = mocha.lavender },
                        Statement = { fg = mocha.blue },
                        Keyword = { fg = mocha.blue },
                        Repeat = { fg = mocha.blue },
                        Conditional = { fg = mocha.blue },
                        Special = { fg = mocha.teal },
                        ["@keyword.return"] = { fg = mocha.red },
                        ["@keyword.operator"] = { fg = mocha.blue },
                        ["@keyword.function"] = { fg = mocha.blue },
                        ["@punctuation.bracket"] = { fg = mocha.sapphire },
                        Function = { fg = mocha.yellow },
                        ["@function.builtin"] = { fg = mocha.red },
                        StatusLine = { fg = mocha.text },
                        StatusLineNC = { fg = mocha.overlay0 },

                        ["@markup.raw"] = { fg = mocha.sapphire },
                        ["@markup.raw.delimiter"] = { fg = mocha.sapphire, style = { "bold" }},
                        ["@markup.raw.block"] = { fg = mocha.subtext1 },
                        ["@markup.quote"] = { fg = mocha.green },
                    }
                end,
            },
        })
        vim.cmd[[colorscheme catppuccin]]
    end
}
